Checkio API
post/{tenantId}/v1/users

Create user

Requires Authentication
Users

Creates a new user and adds them to the tenant

Path Parameters

NameTypeDescription
tenantId
required
string (uuid)Tenant UUID

Request Body

required
firstName
string
required
lastName
string
required
email
string (email)
required
password
string
isEnabled
boolean

Responses

User created

Response Bodyapplication/json
id
string (uuid)
firstName
string
lastName
string
email
string
isEnabled
boolean
createdAt
string (date-time)

Code Examples

curl -X POST 'https://api-next.checkio.co.uk/{tenantId}/v1/users' \
  -H 'Authorization: Bearer {token}' \
  -H 'Content-Type: application/json' \
  -d '{
  "firstName": "string",
  "lastName": "string",
  "email": "user@example.com",
  "password": "string",
  "isEnabled": true
}'